Clusters
Create node pool inside a cluster.
Path Parameters
organisationSlug*string
Match
^[a-z0-9-_]+$environmentSlug*string
Match
^[a-z0-9-_]+$clusterSlug*string
Match
^[a-z0-9-_]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/orgs/string/clusters/string/string/pools" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": 0, "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5", "name": "string", "availabilityZone": "string", "nodeSize": "string", "autoScaling": true, "enableNodeAutoReplacement": true, "enableNodeReboots": true, "upgradeStrategy": "REPLACE", "securityUpdatesOnJoin": "OFF", "minSize": 0, "maxSize": 0, "annotations": { "property1": "string", "property2": "string" }, "labels": { "property1": "string", "property2": "string" }, "taints": [ { "key": "string", "value": "string", "effect": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "modifiedAt": "2019-08-24T14:15:22Z", "provisionStatus": "UNKNOWN"}